<%
require "kilobytes2human"

rb = radio_button_tag "template", templates, :checked => true 
compressed, uncompressed = OpenVZ.template_size(h(templates))

%>
<div id="area_item">
<table border="0">
  <tr>
    <td><%=rb%></td>
    <td><h1 style="margin: 0.2em;"><%= h(templates) %></h1></td>
  </tr>
  <tr>
    <td></td>
    <td>
      Compressed: <%=h(Kilobytes2Human.convert(compressed.to_i/1012))%>
    </td>
  </tr>
  <tr>
    <td></td>
    <td>
      Uncompressed: <%=h(Kilobytes2Human.convert(uncompressed.to_i/1012))%>
    </td>
  </tr>
  <tr>
    <td></td>
    <td>
      <%=
       if templates =~ /ubuntu-6\.06\.1-server/
	 "Supported until: June, 2011"
       elsif templates =~ /ubuntu-6\.06\.1-desktop/
         "Supported until: June, 2009"
       elsif templates =~ /ubuntu-7.04/
	 "Supported until: October, 2008"
       elsif templates =~ /centos-4/
         "Issue: May 17 2007 Release 4.5 (Final)"
       end
      %>
    </td>
  </tr>
</table>
</div>
